Subject: TW Laguna Station Remediation
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 22 Oct 1999 07:42:00 -0700 (PDT)

On Wednesday, October 20th, I contacted Ms. Barbara Bernacik at the Office of 
the Pueblo of Laguna, Division of Environment. I contacted Ms. Bernacik at 
the suggestion of Norm Gonzales (TW Laguna Team) to discuss outstanding 
environmental issues at the Station. 

In a conversation with Norm the previous week, Norm indicated to me that he 
had met with Ms. Bernacik and Ray Lucero (Engineer, Pueblo of Laguna) 
recently in regards to backfilling an open excavation which had been 
excavated in 1993 when a diesel UST was removed from the site. The excavation 
had not been backfilled pending authorization from the Pueblo of Laguna. This 
and other outstanding issues were discussed in a meeting with Ray Lucero, the 
Governor of the Pueblo of Laguna, Ted Ryther, Larry Campbell, Butch Russell, 
and myself back in 1995 but there was no resolution of the issues, primarily 
because at the time the Laguna's did not have an environmental staff person 
to address such issues. Subsequently, Ms. Bernacik was hired as the Laguna's 
environmental staff person about two years ago. 

In the course of Norm's conversation with Ms. Bernacik and Mr. Lucero, Mr. 
Lucero indicated some concern that the Pueblo of Laguna had not been kept 
apprised of environmental issues at the Station. In light of this, I have 
prepared a "Report of Groundwater Monitoring Activities". This report covers 
monitoring activities between June 1994 and June 1999. As previously 
mentioned, I also contacted Ms. Bernacik for the purpose of introducing 
myself and to inform her that a report has been prepared and will be 
delivered to her office. I also suggested that we meet at the site to discuss 
outstanding environmental issues. The response from Ms. Bernacik was very 
favorable and we agreed to meet at the site at 10:00 am November 16th. Ms. 
Bernacik also indicated that someone from the BIA will be with her.